VSTGUI: CPoint Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CPoint Struct Reference

Point structure. More...

## Public Member Functions
constexpr | CPoint ()=default
constexpr | CPoint (CCoord x, CCoord y)
CPoint & | operator() (CCoord _x, CCoord _y)
constexpr bool | operator!= (const CPoint &other) const
constexpr bool | operator== (const CPoint &other) const
CPoint & | operator+= (const CPoint &other)
CPoint & | operator-= (const CPoint &other)
CPoint & | operator*= (double factor)
CPoint & | operator/= (double factor)
constexpr CPoint | operator+ (const CPoint &other) const
constexpr CPoint | operator- (const CPoint &other) const
constexpr CPoint | operator* (double factor) const
constexpr CPoint | operator/ (double factor) const
constexpr CPoint | operator- () const
CPoint & | offset (const CCoord c)
CPoint & | offset (const CCoord _x, const CCoord _y)
CPoint & | offset (const CPoint &other)
CPoint & | offsetInverse (const CPoint &other)
CPoint & | makeIntegral ()

## Public Attributes
CCoord | x {0.}
CCoord | y {0.}

## Detailed Description

Point structure.

## Constructor & Destructor Documentation

constexpr CPoint | ( |  | ) |
| default

constexpr CPoint | ( | CCoord | x,
|  | CCoord | y
| ) |  |
| inline

## Member Function Documentation

CPoint & makeIntegral | ( |  | ) |
| inline

CPoint& offset | ( | const CCoord | c | ) |
| inline

CPoint& offset | ( | const CCoord | _x,
|  | const CCoord | _y
| ) |  |
| inline

CPoint& offset | ( | const CPoint & | other | ) |
| inline

CPoint& offsetInverse | ( | const CPoint & | other | ) |
| inline

constexpr bool operator!= | ( | const CPoint & | other | ) | const
| inline

CPoint& operator() | ( | CCoord | _x,
|  | CCoord | _y
| ) |  |
| inline

constexpr CPoint operator* | ( | double | factor | ) | const
| inline

CPoint& operator*= | ( | double | factor | ) |
| inline

constexpr CPoint operator+ | ( | const CPoint & | other | ) | const
| inline

CPoint& operator+= | ( | const CPoint & | other | ) |
| inline

constexpr CPoint operator- | ( | const CPoint & | other | ) | const
| inline

constexpr CPoint operator- | ( |  | ) | const
| inline

CPoint& operator-= | ( | const CPoint & | other | ) |
| inline

constexpr CPoint operator/ | ( | double | factor | ) | const
| inline

CPoint& operator/= | ( | double | factor | ) |
| inline

constexpr bool operator== | ( | const CPoint & | other | ) | const
| inline

## Member Data Documentation

CCoord x {0.}

CCoord y {0.}

The documentation for this struct was generated from the following file:

- cpoint.h